> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/platform-service/user/resourcegroup/modifyresourcegroup.md).

# ModifyResourceGroup

## 1. 接口描述

本接口(ModifyResourceGroup)用于修改一个资源组信息。

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称            | 必选 | 类型     | 描述       |
| --------------- | -- | ------ | -------- |
| name            | 是  | String | 资源组名称。   |
| resourceGroupId | 是  | String | 资源组唯一ID。 |

## 3. 响应结果

| 参数名称            | 类型     | 描述                                                       |
| --------------- | ------ | -------------------------------------------------------- |
| requestId       | String | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |
| resourceGroupId | String | 资源组唯一ID。                                                 |
| name            | String | 资源组名称。                                                   |
| createTime      | String | 创建时间。                                                    |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}

1. **修改资源组**

```json
POST /api/v2/user HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ModifyResourceGroup
<Common Request Params>

Request:
{
     "resourceGroupId": "ResourceGroupId",
     "name": "ResourceGroupName"
}

Response:
{
    "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
    "response": {
         "resourceGroupId": "ResourceGroupId",
         "createTime": "2022-09-08T12:00:00Z",
         "name": "ResourceGroupName"
    }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码                          | 说明                |
| ------- | ---------------------------- | ----------------- |
| 400     | RESOURCE\_GROUP\_NAME\_VALID | 资源组名称不能为空或长度超过限制。 |
| 400     | RESOURCE\_GROUP\_ID\_VALID   | 资源组ID不能为空或长度超过限制。 |
| 404     | RESOURCE\_GROUP\_NOT\_FOUND  | 指定的资源组不存在。        |
